Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232017 - Text does not render in Inventor
Summary: Text does not render in Inventor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Inventor
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 16:06 UTC by Buddy Becker
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.1.5-26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 21:39:34 UTC


Attachments (Terms of Use)

Description Buddy Becker 2007-03-13 16:06:40 UTC
Description of problem:
Text does not render in open inventor.  I've seen it in both the open inventor
examples and code I'm working on.

Version-Release number of selected component (if applicable):
Inventor 2.1.5-24.fc6

How reproducible:
Fully

Steps to Reproduce:
1. Install Inventor-examples 2.1.5-24.fc6
2. As root run "make 06.1.Text" in /usr/lib/Inventor/examples/Mentor/CXX
3. Run /usr/lib/Inventor/examples/Mentor/CXX/06.1.Text
  
Actual results:
The globe renders as it's suppose to, but no text shows up.

Expected results:
According to the documentation, there should be a text label over Africa and Asia.

Comment 1 Ralf Corsepius 2007-03-14 06:01:24 UTC
Confirmed, I can reproduce this issue.

Could you please try the following:

# yum install dejagnu-fonts
# cd /usr/share/Inventor/fonts
# ln -s /usr/share/fonts/dejavu-fonts/DejaVuSerif.ttf Times-Roman

Then rerun 06.1.Text (or any other 06.*).

Comment 2 Buddy Becker 2007-03-14 19:30:57 UTC
That fixed the demos, thanks.

Comment 3 Ralf Corsepius 2007-03-14 21:39:34 UTC
Thanks for testing, should be fixed in *-26


Note You need to log in before you can comment on or make changes to this bug.